View Issue Details

IDProjectCategoryView StatusLast Update
0003016ScribusGeneralpublic2006-07-23 19:33
ReporterPeturrr Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformX86OSKubuntuOS Version6.04
Product Version1.3.2cvs 
Target VersionFixed in Version1.3.2cvs 
Summary0003016: Canvas mode: Impossible to move textcursor by mouseclick to end of sentence
DescriptionCanvas Mode, text frame editing: When clicking behind a sentence to move the textcursor to the end of that sentence, the cursor moves to the end MINUS one character.

 
Steps To Reproduce1. New Document
2. Create text frame
3. Click ' Edit Contents of Frame'
4. Type in multiple sentences
5. Click somewhere behind a sentence
6. The cursor moves to the end of that sentence MINUS one character.
Additional InformationThe same behaviour was reported with the use of SHIFT + END. This has been solved a few days ago. That made working with Scribus lot easier.
Solving this bug will make Canvas Mode selection even more less frustrating.
TagsNo tags attached.
Patch

Relationships

child of 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

2006-01-15 22:56

 

Peturrr

2006-01-16 09:01

reporter   ~0008122

I mistakenly entered 1.3.1 CVS. It's 1.3.2 CVS

plinnell

2006-01-16 22:21

viewer   ~0008132

tested, fixed here

Peturrr

2006-07-23 17:38

reporter   ~0011983

Both issues: mouseclick end of sentence & SHIFT END are present again in the latest 1.3.4-cvs 16 July '06

cbradney

2006-07-23 19:33

administrator   ~0011985

This was fixed in 1.3.2. Thanks for reporting it again, however the text system is being completely rewritten in 1.3.4cvs and the cursor movement as not been worked on yet. We will get to it. Closing, as this is fixed in our stabilised 1.3.3.x series.

Issue History

Date Modified Username Field Change
2006-01-15 22:56 Peturrr New Issue
2006-01-15 22:56 Peturrr File Added: MouseClick end of sentence bug.png
2006-01-16 09:01 Peturrr Note Added: 0008122
2006-01-16 09:22 cbradney Status new => assigned
2006-01-16 09:22 cbradney Assigned To => cbradney
2006-01-16 09:22 cbradney Product Version 1.3.1cvs => 1.3.2cvs
2006-01-16 10:56 cbradney Status assigned => resolved
2006-01-16 10:56 cbradney Fixed in Version => 1.3.2cvs
2006-01-16 10:56 cbradney Resolution open => fixed
2006-01-16 22:21 plinnell Status resolved => closed
2006-01-16 22:21 plinnell Note Added: 0008132
2006-07-23 17:38 Peturrr Status closed => feedback
2006-07-23 17:38 Peturrr Resolution fixed => reopened
2006-07-23 17:38 Peturrr Note Added: 0011983
2006-07-23 19:33 cbradney Status feedback => closed
2006-07-23 19:33 cbradney Note Added: 0011985
2006-07-23 19:33 cbradney Resolution reopened => fixed
2007-05-23 21:22 christoph_s Relationship added child of 0003157